import { html, LitElement } from 'lit';
import { customElement } from 'lit/decorators.js';
import {
  defineComponents,
  IgcIconButtonComponent,
  registerIconFromText,
} from 'igniteui-webcomponents';

defineComponents(IgcIconButtonComponent);
const thumbUpIcon =
    '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"><path d="M1 21h4V9H1v12zm22-11c0-1.1-.9-2-2-2h-6.31l.95-4.57.03-.32c0-.41-.17-.79-.44-1.06L14.17 1 7.59 7.59C7.22 7.95 7 8.45 7 9v10c0 1.1.9 2 2 2h9c.83 0 1.54-.5 1.84-1.22l3.02-7.05c.09-.23.14-.47.14-.73v-1.91l-.01-.01L23 10z"/></svg>';

registerIconFromText(
  "thumb-up",
  thumbUpIcon,
  "material"
);

@customElement('app-$(path)')
export default class IconButton extends LitElement {
  render() {
    return html`
    <igc-icon-button name="thumb-up" collection="material" href="https://www.infragistics.com/support" variant="contained" size="large"></igc-icon-button>
    `;
  }
}
